Bug 981636 - browse not supported over AMQP 1.0
browse not supported over AMQP 1.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
: Improvement
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-07-05 07:00 EDT by Gordon Sim
Modified: 2015-01-21 07:55 EST (History)
5 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-12
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:55:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4948 None None None Never

  None (edit)
Description Gordon Sim 2013-07-05 07:00:14 EDT
Description of problem:

The mode address option should allow a queue to be browsed rather than consumed. This is not available over 1.0 yet.

Version-Release number of selected component (if applicable):

As of qpid 0.22

How reproducible:

100%

Steps to Reproduce:
1. put messages in a queue
2. try to browse them with e.g. 'my-queue; {mode: browse}'

Actual results:

Depending on exact version in use either observer that messages are in fact consumed or get an error indicating browse not being supported


Expected results:

Messages in queue should be retrieved by receiver, but not removed from the queue.

Additional info:

Depends on fix for PROTON-139 and is currently blocked pending 0.5 release of proton.
Comment 1 Gordon Sim 2013-08-28 08:50:21 EDT
Fixed upstream by https://svn.apache.org/r1518180 and https://svn.apache.org/r1518181.
Comment 2 Gordon Sim 2013-08-28 10:22:43 EDT
Should also point out that these require proton 0.5
Comment 3 Gordon Sim 2013-08-29 11:30:19 EDT
Will also backport https://svn.apache.org/viewvc?view=revision&revision=1504071 as this is assumed by the change to the cmake file in the first of the commits above.
Comment 5 Petr Matousek 2013-09-06 11:41:49 EDT
Browse support was implemented and is functional. This issue has been fixed. Verified on rhel6.4 (i386,x86_64).

packages used for testing:
qpid-cpp-*-0.22-13.el6

Note You need to log in before you can comment on or make changes to this bug.